Cisco Secure Email and Web Manager Multiple Vulnerabilities (cisco-sa-esa-sma-wsa-xss-bgG5WHOD)

medium Nessus Plugin ID 197884

Synopsis

The remote device is missing a vendor-supplied security patch.

Description

According to its self-reported version, Cisco Secure Email and Web Manager is affected by multiple vulnerabilities.

- A vulnerability in the web-based management interface of Cisco AsyncOS Software for Cisco Secure Email could allow an authenticated, remote attacker to conduct an XSS attack against a user of the interface. This vulnerability is due to insufficient validation of user input. An attacker could exploit this vulnerability by persuading a user of an affected interface to click a crafted link. A successful exploit could allow the attacker to execute arbitrary script code in the context of the affected interface or access sensitive, browser-based information. (CVE-2024-20256)
- A vulnerability in the web-based management interface of Cisco AsyncOS Software for Cisco Secure Email could allow an unauthenticated, remote attacker to conduct an XSS attack against a user of the interface. This vulnerability is due to insufficient validation of user input. An attacker could exploit this vulnerability by persuading a user of an affected interface to click a crafted link. A successful exploit could allow the attacker to execute arbitrary script code in the context of the affected interface or access sensitive, browser-based information. (CVE-2024-20258)

- A vulnerability in the Cisco Crosswork NSO CLI and the ConfD CLI could allow an authenticated, low-privileged, local attacker to elevate privileges to root on the underlying operating system. The vulnerability is due to an incorrect privilege assignment when specific CLI commands are used. An attacker could exploit this vulnerability by executing an affected CLI command. A successful exploit could allow the attacker to elevate privileges to root on the underlying operating system.
(CVE-2024-20383)

Please see the included Cisco BIDs and Cisco Security Advisory for more information.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug IDs CSCwe88788, CSCwe91887, CSCwf84882, CSCwf93368, CSCwi59618, CSCwj12619

See Also

http://www.nessus.org/u?eaf46cc2

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwe88788

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwe91887

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwf84882

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwf93368

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwi59618

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCwj12619

Plugin Details

Severity: Medium

ID: 197884

File Name: cisco-sa-esa-sma-wsa-xss-bgG5WHOD_wm.nasl

Version: 1.1

Type: combined

Family: CISCO

Published: 5/24/2024

Updated: 5/24/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Low

Score: 3.8

CVSS v2

Risk Factor: Medium

Base Score: 6.4

Temporal Score: 4.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:N

CVSS Score Source: CVE-2024-20258

CVSS v3

Risk Factor: Medium

Base Score: 6.1

Temporal Score: 5.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/h:cisco:content_security_management_appliance, x-cpe:/o:cisco:secure_email_and_web_manager, cpe:/a:cisco:content_security_management_appliance

Required KB Items: Host/AsyncOS/Cisco Content Security Management Appliance/DisplayVersion, Host/AsyncOS/Cisco Content Security Management Appliance/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 5/15/2024

Vulnerability Publication Date: 5/15/2024

Reference Information

CVE: CVE-2024-20256, CVE-2024-20258, CVE-2024-20383